using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;

namespace Number_File
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void writeNumbersButton_Click(object sender, EventArgs e)
        {
            try
            {
                // Zadeklarowanie zmiennej typu StreamWriter.
                StreamWriter outputFile;

                // Utworzenie pliku i pobranie obiektu StreamWriter.
                outputFile = File.CreateText("Numbers.txt");

                //Zapisanie w pliku liczb od 1 do 10.
                for (int count = 1; count <= 10; count++)
                {
                    outputFile.WriteLine(count);
                }

                // Zamknięcie pliku.
                outputFile.Close();
            }
            catch (Exception ex)
            {
                // Wyświetlenie komunikatu błędu.
                MessageBox.Show(ex.Message);
            }
        }

        private void exitButton_Click(object sender, EventArgs e)
        {
            // Zamknięcie formularza.
            this.Close();
        }
    }
}
